import java.awt.*;
import java.text.*;
import javax.swing.*;

public class MessageArea extends JPanel {
  protected int currentCount;
  protected double speed;
  protected NumberFormat nf;

  protected JLabel lblCount;
  protected JLabel lblSpeed;

  public MessageArea() {
    super(new FlowLayout());

    Font font=new Font("SansSerif", Font.PLAIN, 72);

    JPanel pnlCenter=new JPanel(new GridLayout(0,1));

    lblCount=new JLabel();
    lblCount.setFont(font);

    lblSpeed=new JLabel();
    lblSpeed.setFont(font);

    pnlCenter.add(lblCount);
    pnlCenter.add(lblSpeed);

    add(pnlCenter);

    currentCount=0;
    speed=0.0;

    nf=NumberFormat.getInstance();
    nf.setMaximumFractionDigits(3);
  }

  /** set the current coiunt and speed */
  public void setStat(int currentCount, double speed) {
    this.currentCount=currentCount;
    this.speed=speed;

    lblCount.setText("\u6b21\u6578 Count: "+currentCount);
    lblSpeed.setText("\u901f\u5ea6 Speed: "+nf.format(speed)+" m/s");
  }
}
